#include <iostream>
#include <string>
#include <vector>
#include <ctime>
#include <cstdlib>

using namespace std;

vector<string> words = {"bilgisayar", "programlama", "python", "cpp", "javascript", "algoritma", "veri", "yapıları"};

string selectRandomWord() {
    srand(time(0));
    int randomIndex = rand() % words.size();
    return words[randomIndex];
}

int main() {
    string word = selectRandomWord();
    int tries = 0;
    const int maxTries = 7;
    string guessed(word.size(), '_');

    cout << "Hoş geldiniz! Adam Asmaca oyununa başlayalım." << endl;

    while (tries < maxTries) {
        cout << "Tahmin et: " << guessed << endl;
        char guess;
        cout << "Bir harf tahmin edin: ";
        cin >> guess;

        bool found = false;
        for (int i = 0; i < word.size(); ++i) {
            if (word[i] == guess) {
                guessed[i] = guess;
                found = true;
            }
        }

        if (!found) {
            ++tries;
            cout << "Yanlış tahmin. Kalan hakkınız: " << maxTries - tries << endl;
        }

        if (guessed == word) {
            cout << "Tebrikler! Doğru kelimeyi buldunuz: " << word << endl;
            break;
        }
    }

    if (tries == maxTries) {
        cout << "Oyunu kaybettiniz! Doğru kelime: " << word << endl;
    }

    return 0;
}
